Name:           osc-source_validator
Version:        0.1
Release:        10%{?dist}
License:        GPLv2+
Summary:        Osc source validator
Url:            http://en.opensuse.org/openSUSE:Build_Service_Tools#OSC_source_validator
#the tarball come from gitourious.
#i check out the latest version, same as openSUSE version.
#git://gitorious.org/opensuse/osc-source_validator.git
#git archive --prefix="osc-source_validator-0.1/" --format=tar 0.1| gzip > osc-source_validator-0.1.tar.bz2
Group:          Development/Tools
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       osc

%description
Osc source validator is a plugin to osc (openSUSE Build Service Commander).

It is checking valid sources on pre-checkin via this package.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/%{_prefix}/lib/osc/source_validators
cp -a [0-9]* helpers %{buildroot}/%{_prefix}/lib/osc/source_validators

%files
%defattr(-,root,root,-)
%doc COPYING
%{_prefix}/lib/osc

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.1-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 07 2011 Jerome Soyer <saispo@gmail.com> - 0.1-4
- Fix macros
- Explain how to create the tarball

* Fri Jun 24 2011 Jerome Soyer <saispo@gmail.com> - 0.1-3
- Fix Summary
- Fix Description
- Add Requires on osc

* Thu Jun  9 2011 Jerome Soyer <saispo@gmail.com> - 0.1-2
- Remove SOURCE1

* Wed Jun  8 2011 Jerome Soyer <saispo@gmail.com> - 0.1-1
- Initial build
